Subject: Re: bug#77496: [PATCH] Add 'ns-app-badge' to set macOS / GNUstep icon badge

From: Ship Mints <[email-masked]>
Date: Sat, 5 Apr 2025 11:43:40 -0400

On Sat, Apr 5, 2025 at 11:34 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Ship Mints <[email-masked]>
> > Date: Sat, 5 Apr 2025 09:44:31 -0400
> > Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> >
> >  That's good to hear.  None the less, GNUstep is too seldom used for
> >  feature availability there to justify implementing the same features on
> >  Mac OS, particularly when Emacs's GNUstep port is known to be unreliable
> >  and short of other critical editing features such as Indic or Arabic
> >  script shaping support.
> >
> > Eli asked that the hurdle to be cleared was support of the same feature
> on a free platform.  If that hurdle is
> > based on platform popularity, what are the precise metrics we should use
> to gauge such?  I'm aware of
> > GNUstep being actively used in military, aerospace, and industrial
> products.  Is Haiku?  Or any other esoteric
> > platforms that Emacs supports?
>
> I said explicitly that this should be supported on X or GTK.  I don't
> think GNUstep on Linux counts, sorry.  It's too niche a platform for
> this purpose.
>

Fair enough.  I'll keep looking around for pointers and will see if I can
make the dbus shell count/count-visible method work.